/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.padroesdr.adapter;

/**
 *
 * @author Adriano Gonçalves
 */
public class Principal {

    public static void main(String[] args) {
        SensorInformation temperature = new TextualInformation(new TemperatureSensor());
        SensorInformation humidity = new TextualInformation(new HumiditySensor());
        SensorInformation luminosity = new TextualInformation(new LuminositySensor());

        System.out.println("Temperature: " + temperature.getStatus());
        System.out.println("Humidity: " + humidity.getStatus());
        System.out.println("Luminosity: " + luminosity.getStatus());
    }
}
